Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfDisplayType

    java.lang.Object
      java.lang.Enum<OdfDisplayType>
          org.odftoolkit.odfdom.dom.type.text.OdfDisplayType

All Implemented Interfaces:
  Serializable, Comparable<OdfDisplayType>

    public enum OdfDisplayType

extends Enum<OdfDisplayType>

DOM implementation of OpenDocument attribute text:display.

Enum Constant Summary
`NAME`
`NUMBER`
`NUMBER_AND_NAME`
`PLAIN_NUMBER`
`PLAIN_NUMBER_AND_NAME`

Method Summary
`static OdfDisplayType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfDisplayType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfDisplayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDisplayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUMBER

    public static final OdfDisplayType NUMBER

### PLAIN_NUMBER_AND_NAME

    public static final OdfDisplayType PLAIN_NUMBER_AND_NAME

### PLAIN_NUMBER

    public static final OdfDisplayType PLAIN_NUMBER

### NAME

    public static final OdfDisplayType NAME

### NUMBER_AND_NAME

    public static final OdfDisplayType NUMBER_AND_NAME

Method Detail

### values

    public static OdfDisplayType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDisplayType c : OdfDisplayType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDisplayType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfDisplayType>`
  Returns:
    return the name of OdfDisplayType

### toString

    public static String toString(OdfDisplayType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfDisplayType, see text:display
  Returns:
    return the name of OdfDisplayType

### enumValueOf

    public static OdfDisplayType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfDisplayType
  Returns:
    return the constant of OdfDisplayType, see text:display

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.